import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const MultiSelectField: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        options: PropTypes.Validator<any[]>;
        label: PropTypes.Requireable<string>;
        dropdownHeight: PropTypes.Requireable<number>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        label: string;
        dropdownHeight: number;
        onClick: undefined;
    };
};
export default MultiSelectField;
